com.genesyslab.wfm8.API.service.forecast810

## Class FrcEvents

- java.lang.Object
- - com.genesyslab.wfm8.API.service.forecast810.FrcEvents

- All Implemented Interfaces:
    java.io.Serializable

      public class FrcEvents
      extends java.lang.Object
      implements java.io.Serializable

  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected double` | `endImpactPCT` End impact %
    `protected int` | `eventId` Event ID
    `protected int` | `impactDurationHrs` Impact duration, in hours
    `protected int` | `impactUnit` Impact unit: days/hours
    `protected java.util.List<java.lang.Double>` | `impactVector` Impact percentage array
    `protected double` | `initImpactPCT` Initial impact %
    `private static long` | `serialVersionUID`
    `protected int` | `vectorSize` Impact array size

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `FrcEvents()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(java.lang.Object that)`
    `double` | `getEndImpactPCT()` Gets the endImpactPCT value for this FrcEvents.
    `int` | `getEventId()` Gets the eventId value for this FrcEvents.
    `int` | `getImpactDurationHrs()` Gets the impactDurationHrs value for this FrcEvents.
    `int` | `getImpactUnit()` Gets the impactUnit value for this FrcEvents.
    `java.util.List<java.lang.Double>` | `getImpactVector()` Gets the impactVector value for this FrcEvents.
    `double` | `getInitImpactPCT()` Gets the initImpactPCT value for this FrcEvents.
    `int` | `getVectorSize()` Gets the vectorSize value for this FrcEvents.
    `int` | `hashCode()`
    `void` | `setEndImpactPCT(double endImpactPCT)` Sets the endImpactPCT value for this FrcEvents.
    `void` | `setEventId(int eventId)` Sets the eventId value for this FrcEvents.
    `void` | `setImpactDurationHrs(int impactDurationHrs)` Sets the impactDurationHrs value for this FrcEvents.
    `void` | `setImpactUnit(int impactUnit)` Sets the impactUnit value for this FrcEvents.
    `void` | `setImpactVector(java.util.List<java.lang.Double> impactVector)` Sets the impactVector value for this FrcEvents.
    `void` | `setInitImpactPCT(double initImpactPCT)` Sets the initImpactPCT value for this FrcEvents.
    `void` | `setVectorSize(int vectorSize)` Sets the vectorSize value for this FrcEvents.
    `java.lang.String` | `toString()`
    `FrcEvents` | `withEndImpactPCT(double value)`
    `FrcEvents` | `withEventId(int value)`
    `FrcEvents` | `withImpactDurationHrs(int value)`
    `FrcEvents` | `withImpactUnit(int value)`
    `FrcEvents` | `withImpactVector(java.util.Collection<java.lang.Double> values)`
    `FrcEvents` | `withImpactVector(java.lang.Double... values)`
    `FrcEvents` | `withInitImpactPCT(double value)`
    `FrcEvents` | `withVectorSize(int value)`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### serialVersionUID

          private static final long serialVersionUID

      See Also:
        Constant Field Values

    - #### eventId

          protected int eventId

      Event ID

    - #### initImpactPCT

          protected double initImpactPCT

      Initial impact %

    - #### endImpactPCT

          protected double endImpactPCT

      End impact %

    - #### impactUnit

          protected int impactUnit

      Impact unit: days/hours

    - #### impactDurationHrs

          protected int impactDurationHrs

      Impact duration, in hours

    - #### vectorSize

          protected int vectorSize

      Impact array size

    - #### impactVector

          protected java.util.List<java.lang.Double> impactVector

      Impact percentage array

  - ### Constructor Detail

    - #### FrcEvents

          public FrcEvents()

  - ### Method Detail

    - #### getEventId

          public int getEventId()

      Gets the eventId value for this FrcEvents.
      Returns:
        eventId

    - #### setEventId

          public void setEventId(int eventId)

      Sets the eventId value for this FrcEvents.
      Parameters:
        `eventId` -

    - #### getInitImpactPCT

          public double getInitImpactPCT()

      Gets the initImpactPCT value for this FrcEvents.
      Returns:
        initImpactPCT

    - #### setInitImpactPCT

          public void setInitImpactPCT(double initImpactPCT)

      Sets the initImpactPCT value for this FrcEvents.
      Parameters:
        `initImpactPCT` -

    - #### getEndImpactPCT

          public double getEndImpactPCT()

      Gets the endImpactPCT value for this FrcEvents.
      Returns:
        endImpactPCT

    - #### setEndImpactPCT

          public void setEndImpactPCT(double endImpactPCT)

      Sets the endImpactPCT value for this FrcEvents.
      Parameters:
        `endImpactPCT` -

    - #### getImpactUnit

          public int getImpactUnit()

      Gets the impactUnit value for this FrcEvents.
      Returns:
        impactUnit

    - #### setImpactUnit

          public void setImpactUnit(int impactUnit)

      Sets the impactUnit value for this FrcEvents.
      Parameters:
        `impactUnit` -

    - #### getImpactDurationHrs

          public int getImpactDurationHrs()

      Gets the impactDurationHrs value for this FrcEvents.
      Returns:
        impactDurationHrs

    - #### setImpactDurationHrs

          public void setImpactDurationHrs(int impactDurationHrs)

      Sets the impactDurationHrs value for this FrcEvents.
      Parameters:
        `impactDurationHrs` -

    - #### getVectorSize

          public int getVectorSize()

      Gets the vectorSize value for this FrcEvents.
      Returns:
        vectorSize

    - #### setVectorSize

          public void setVectorSize(int vectorSize)

      Sets the vectorSize value for this FrcEvents.
      Parameters:
        `vectorSize` -

    - #### getImpactVector

          public java.util.List<java.lang.Double> getImpactVector()

      Gets the impactVector value for this FrcEvents.
      Returns:
        impactVector

    - #### setImpactVector

          public void setImpactVector(java.util.List<java.lang.Double> impactVector)

      Sets the impactVector value for this FrcEvents.
      Parameters:
        `impactVector` -

    - #### withImpactVector

          public FrcEvents withImpactVector(java.util.Collection<java.lang.Double> values)

    - #### withImpactVector

          public FrcEvents withImpactVector(java.lang.Double... values)

    - #### withVectorSize

          public FrcEvents withVectorSize(int value)

    - #### withImpactDurationHrs

          public FrcEvents withImpactDurationHrs(int value)

    - #### withImpactUnit

          public FrcEvents withImpactUnit(int value)

    - #### withEventId

          public FrcEvents withEventId(int value)

    - #### withInitImpactPCT

          public FrcEvents withInitImpactPCT(double value)

    - #### withEndImpactPCT

          public FrcEvents withEndImpactPCT(double value)

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

    - #### equals

          public boolean equals(java.lang.Object that)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

Copyright © 2005-2016 Genesys Telecommunications Labs, Inc. All Rights Reserved.